%define framework krunner
%define majver %(echo %version | cut -d. -f1-2)

Name:          kf6-krunner
Version:       6.10.0
Release:       1mamba
Summary:       KDE Frameworks 6 - Framework for Plasma runners
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://invent.kde.org/frameworks/krunner
Source:        https://download.kde.org/%{stable_kf6}/frameworks/%{majver}/krunner-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libQt6Core
BuildRequires: libQt6DBus
BuildRequires: libQt6Gui
BuildRequires: libgcc
BuildRequires: libglvnd-devel
BuildRequires: libkf6-kconfig-devel
BuildRequires: libkf6-kcoreaddons-devel
BuildRequires: libkf6-ki18n-devel
BuildRequires: libkf6-kitemmodels-devel
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
BuildRequires: kf6-rpm-macros
BuildRequires: extra-cmake-modules

%description
The Plasma workspace provides an application called KRunner which, among other things, allows one to type into a text area which causes various actions and information that match the text appear as the text is being typed.
One application for this is the universal runner you can launch with ALT-F2.
This functionality is provided via plugins loaded at runtime called "Runners".
These plugins can be used by any application using the Plasma library.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n lib%{name}
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.


%prep
%setup -q -n %{framework}-%{version}

%build
%cmake_kf6
%cmake_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%cmake_install

#%find_lang %{name}5_qt --with-qt --all-name || touch %{name}5_qt.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name}
/sbin/ldconfig
exit 0

%postun -n lib%{name}
/sbin/ldconfig
exit 0

%files -n lib%{name}
%defattr(-,root,root)
%{_kf6_libdir}/libKF6Runner.so.*
%{_datadir}/dbus-1/interfaces/kf6_org.kde.krunner1.xml
%{_datadir}/qlogging-categories6/krunner.*categories
%doc LICENSES

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_kf6_includedir}/KRunner
%dir %{_kf6_includedir}/KRunner/KRunner
%{_kf6_includedir}/KRunner/KRunner/*
%dir %{_kf6_includedir}/KRunner/krunner
%{_kf6_includedir}/KRunner/krunner/*
%{_kf6_includedir}/KRunner/krunner_version.h
%{_kf6_libdir}/libKF6Runner.so
%dir %{_kf6_libdir}/cmake/KF6Runner
%{_kf6_libdir}/cmake/KF6Runner/*.cmake
%{_datadir}/kdevappwizard/templates/runner6.tar.bz2
%{_datadir}/kdevappwizard/templates/runner6python.tar.bz2
%{_qt6_docdir}/KF6Runner.*

%changelog
* Sat Jan 11 2025 Automatic Build System <autodist@openmamba.org> 6.10.0-1mamba
- automatic version update by autodist

* Sun Dec 15 2024 Automatic Build System <autodist@openmamba.org> 6.9.0-1mamba
- automatic version update by autodist

* Sun Nov 10 2024 Automatic Build System <autodist@openmamba.org> 6.8.0-1mamba
- automatic version update by autodist

* Sat Oct 12 2024 Automatic Build System <autodist@openmamba.org> 6.7.0-1mamba
- automatic version update by autodist

* Sat Sep 14 2024 Automatic Build System <autodist@openmamba.org> 6.6.0-1mamba
- automatic version update by autodist

* Sat Aug 10 2024 Automatic Build System <autodist@openmamba.org> 6.5.0-1mamba
- automatic version update by autodist

* Sat Jul 13 2024 Automatic Build System <autodist@openmamba.org> 6.4.0-1mamba
- automatic version update by autodist

* Sun Jun 09 2024 Automatic Build System <autodist@openmamba.org> 6.3.0-1mamba
- automatic version update by autodist

* Sun May 12 2024 Automatic Build System <autodist@openmamba.org> 6.2.0-1mamba
- automatic version update by autodist

* Sun Apr 14 2024 Automatic Build System <autodist@openmamba.org> 6.1.0-1mamba
- automatic version update by autodist

* Thu Feb 29 2024 Automatic Build System <autodist@openmamba.org> 6.0.0-1mamba
- automatic version update by autodist

* Fri Feb 02 2024 Automatic Build System <autodist@openmamba.org> 5.249.0-1mamba
- automatic version update by autodist

* Thu Jan 18 2024 Automatic Build System <autodist@mambasoft.it> 5.248.0-1mamba
- automatic version update by autodist

* Sun Jan 14 2024 Automatic Build System <autodist@openmamba.org> 5.114.0-1mamba
- automatic version update by autodist

* Mon Dec 18 2023 Automatic Build System <autodist@mambasoft.it> 5.113.0-1mamba
- automatic version update by autodist

* Thu Nov 16 2023 Automatic Build System <autodist@mambasoft.it> 5.112.0-1mamba
- automatic version update by autodist

* Fri Oct 20 2023 Automatic Build System <autodist@mambasoft.it> 5.111.0-1mamba
- automatic version update by autodist

* Mon Sep 11 2023 Automatic Build System <autodist@mambasoft.it> 5.110.0-1mamba
- automatic version update by autodist

* Wed Aug 23 2023 Automatic Build System <autodist@mambasoft.it> 5.109.0-1mamba
- automatic version update by autodist

* Thu Jul 13 2023 Automatic Build System <autodist@mambasoft.it> 5.108.0-1mamba
- automatic version update by autodist

* Sat Jun 17 2023 Automatic Build System <autodist@mambasoft.it> 5.107.0-1mamba
- automatic version update by autodist

* Tue May 23 2023 Automatic Build System <autodist@mambasoft.it> 5.106.0-1mamba
- automatic version update by autodist

* Sat Apr 15 2023 Automatic Build System <autodist@mambasoft.it> 5.105.0-1mamba
- automatic version update by autodist

* Sun Mar 12 2023 Automatic Build System <autodist@mambasoft.it> 5.104.0-1mamba
- automatic version update by autodist

* Mon Feb 13 2023 Automatic Build System <autodist@mambasoft.it> 5.103.0-1mamba
- automatic version update by autodist

* Mon Jan 16 2023 Automatic Build System <autodist@mambasoft.it> 5.102.0-1mamba
- automatic version update by autodist

* Mon Dec 12 2022 Automatic Build System <autodist@mambasoft.it> 5.101.0-1mamba
- automatic version update by autodist

* Thu Nov 17 2022 Automatic Build System <autodist@mambasoft.it> 5.100.0-1mamba
- automatic version update by autodist

* Mon Oct 17 2022 Automatic Build System <autodist@mambasoft.it> 5.99.0-1mamba
- automatic version update by autodist

* Thu Sep 15 2022 Automatic Build System <autodist@mambasoft.it> 5.98.0-1mamba
- automatic version update by autodist

* Sat Aug 20 2022 Automatic Build System <autodist@mambasoft.it> 5.97.0-1mamba
- automatic version update by autodist

* Mon Jul 11 2022 Automatic Build System <autodist@mambasoft.it> 5.96.0-1mamba
- automatic version update by autodist

* Wed Jun 15 2022 Automatic Build System <autodist@mambasoft.it> 5.95.0-1mamba
- automatic version update by autodist

* Sun May 15 2022 Automatic Build System <autodist@mambasoft.it> 5.94.0-1mamba
- automatic version update by autodist

* Mon Apr 11 2022 Automatic Build System <autodist@mambasoft.it> 5.93.0-1mamba
- automatic version update by autodist

* Wed Mar 16 2022 Automatic Build System <autodist@mambasoft.it> 5.92.0-1mamba
- automatic version update by autodist

* Fri Feb 18 2022 Automatic Build System <autodist@mambasoft.it> 5.91.0-1mamba
- automatic version update by autodist

* Mon Jan 10 2022 Automatic Build System <autodist@mambasoft.it> 5.90.0-1mamba
- automatic version update by autodist

* Mon Dec 20 2021 Automatic Build System <autodist@mambasoft.it> 5.89.0-1mamba
- automatic version update by autodist

* Sat Nov 13 2021 Automatic Build System <autodist@mambasoft.it> 5.88.0-1mamba
- automatic version update by autodist

* Tue Oct 12 2021 Automatic Build System <autodist@mambasoft.it> 5.87.0-1mamba
- automatic version update by autodist

* Tue Sep 14 2021 Automatic Build System <autodist@mambasoft.it> 5.86.0-1mamba
- automatic version update by autodist

* Sun Aug 22 2021 Automatic Build System <autodist@mambasoft.it> 5.85.0-1mamba
- automatic version update by autodist

* Mon Jul 12 2021 Automatic Build System <autodist@mambasoft.it> 5.84.0-1mamba
- automatic version update by autodist

* Thu Jun 17 2021 Automatic Build System <autodist@mambasoft.it> 5.83.0-1mamba
- automatic version update by autodist

* Mon May 10 2021 Automatic Build System <autodist@mambasoft.it> 5.82.0-1mamba
- automatic version update by autodist

* Sun Apr 11 2021 Automatic Build System <autodist@mambasoft.it> 5.81.0-1mamba
- automatic version update by autodist

* Tue Mar 16 2021 Automatic Build System <autodist@mambasoft.it> 5.80.0-1mamba
- automatic version update by autodist

* Tue Feb 16 2021 Automatic Build System <autodist@mambasoft.it> 5.79.0-1mamba
- automatic version update by autodist

* Thu Jan 14 2021 Automatic Build System <autodist@mambasoft.it> 5.78.0-1mamba
- automatic version update by autodist

* Thu Dec 24 2020 Automatic Build System <autodist@mambasoft.it> 5.77.0-1mamba
- automatic version update by autodist

* Tue Nov 17 2020 Automatic Build System <autodist@mambasoft.it> 5.76.0-1mamba
- automatic version update by autodist

* Thu Oct 15 2020 Automatic Build System <autodist@mambasoft.it> 5.75.0-1mamba
- automatic version update by autodist

* Mon Sep 21 2020 Automatic Build System <autodist@mambasoft.it> 5.74.0-1mamba
- automatic version update by autodist

* Sun Aug 16 2020 Automatic Build System <autodist@mambasoft.it> 5.73.0-1mamba
- automatic version update by autodist

* Wed Jul 15 2020 Automatic Build System <autodist@mambasoft.it> 5.72.0-1mamba
- automatic version update by autodist

* Wed Jun 17 2020 Automatic Build System <autodist@mambasoft.it> 5.71.0-1mamba
- automatic version update by autodist

* Tue May 12 2020 Automatic Build System <autodist@mambasoft.it> 5.70.0-1mamba
- automatic version update by autodist

* Tue Apr 14 2020 Automatic Build System <autodist@mambasoft.it> 5.69.0-1mamba
- automatic version update by autodist

* Tue Mar 17 2020 Automatic Build System <autodist@mambasoft.it> 5.68.0-1mamba
- automatic version update by autodist

* Wed Feb 12 2020 Automatic Build System <autodist@mambasoft.it> 5.67.0-1mamba
- automatic version update by autodist

* Wed Jan 15 2020 Automatic Build System <autodist@mambasoft.it> 5.66.0-1mamba
- automatic version update by autodist

* Wed Dec 25 2019 Automatic Build System <autodist@mambasoft.it> 5.65.0-1mamba
- automatic version update by autodist

* Thu Nov 14 2019 Automatic Build System <autodist@mambasoft.it> 5.64.0-1mamba
- automatic version update by autodist

* Mon Oct 21 2019 Automatic Build System <autodist@mambasoft.it> 5.63.0-1mamba
- automatic version update by autodist

* Fri Sep 20 2019 Automatic Build System <autodist@mambasoft.it> 5.62.0-1mamba
- automatic version update by autodist

* Mon Sep 02 2019 Automatic Build System <autodist@mambasoft.it> 5.61.0-1mamba
- automatic version update by autodist

* Tue Jul 23 2019 Automatic Build System <autodist@mambasoft.it> 5.60.0-1mamba
- automatic version update by autodist

* Fri Jun 14 2019 Automatic Build System <autodist@mambasoft.it> 5.59.0-1mamba
- automatic version update by autodist

* Thu May 16 2019 Automatic Build System <autodist@mambasoft.it> 5.58.0-1mamba
- automatic version update by autodist

* Sat Apr 20 2019 Automatic Build System <autodist@mambasoft.it> 5.57.0-1mamba
- automatic version update by autodist

* Wed Mar 13 2019 Automatic Build System <autodist@mambasoft.it> 5.56.0-1mamba
- automatic version update by autodist

* Mon Feb 18 2019 Automatic Build System <autodist@mambasoft.it> 5.55.0-1mamba
- automatic version update by autodist

* Sun Jan 20 2019 Automatic Build System <autodist@mambasoft.it> 5.54.0-1mamba
- automatic version update by autodist

* Tue Dec 18 2018 Automatic Build System <autodist@mambasoft.it> 5.53.0-1mamba
- automatic version update by autodist

* Sat Nov 24 2018 Automatic Build System <autodist@mambasoft.it> 5.52.0-1mamba
- automatic version update by autodist

* Mon Oct 22 2018 Automatic Build System <autodist@mambasoft.it> 5.51.0-1mamba
- automatic version update by autodist

* Tue Sep 11 2018 Automatic Build System <autodist@mambasoft.it> 5.50.0-1mamba
- automatic version update by autodist

* Thu Aug 23 2018 Automatic Build System <autodist@mambasoft.it> 5.49.0-1mamba
- automatic version update by autodist

* Tue Jul 17 2018 Automatic Build System <autodist@mambasoft.it> 5.48.0-1mamba
- automatic version update by autodist

* Tue Jun 19 2018 Automatic Build System <autodist@mambasoft.it> 5.47.0-1mamba
- automatic version update by autodist

* Fri May 18 2018 Automatic Build System <autodist@mambasoft.it> 5.46.0-1mamba
- automatic version update by autodist

* Sat Apr 21 2018 Automatic Build System <autodist@mambasoft.it> 5.45.0-1mamba
- automatic version update by autodist

* Sun Mar 18 2018 Automatic Build System <autodist@mambasoft.it> 5.44.0-1mamba
- automatic version update by autodist

* Wed Mar 07 2018 Automatic Build System <autodist@mambasoft.it> 5.43.0-1mamba
- automatic version update by autodist

* Tue Jan 23 2018 Automatic Build System <autodist@mambasoft.it> 5.42.0-1mamba
- automatic version update by autodist

* Sun Dec 31 2017 Automatic Build System <autodist@mambasoft.it> 5.41.0-1mamba
- automatic version update by autodist

* Tue Nov 14 2017 Automatic Build System <autodist@mambasoft.it> 5.40.0-1mamba
- automatic version update by autodist

* Tue Oct 24 2017 Automatic Build System <autodist@mambasoft.it> 5.39.0-1mamba
- automatic version update by autodist

* Thu Sep 21 2017 Automatic Build System <autodist@mambasoft.it> 5.38.0-1mamba
- automatic version update by autodist

* Fri Aug 25 2017 Automatic Build System <autodist@mambasoft.it> 5.37.0-1mamba
- automatic version update by autodist

* Wed Aug 09 2017 Automatic Build System <autodist@mambasoft.it> 5.36.0-1mamba
- automatic version update by autodist

* Fri Apr 14 2017 Automatic Build System <autodist@mambasoft.it> 5.32.0-1mamba
- automatic version update by autodist

* Fri Jan 27 2017 Automatic Build System <autodist@mambasoft.it> 5.30.0-1mamba
- automatic version update by autodist

* Sat Dec 24 2016 Automatic Build System <autodist@mambasoft.it> 5.29.0-1mamba
- automatic version update by autodist

* Sat Oct 15 2016 Automatic Build System <autodist@mambasoft.it> 5.27.0-1mamba
- automatic version update by autodist

* Thu Oct 13 2016 Automatic Build System <autodist@mambasoft.it> 5.26.0-1mamba
- automatic version update by autodist

* Mon Aug 01 2016 Automatic Build System <autodist@mambasoft.it> 5.24.0-1mamba
- automatic version update by autodist

* Sun Jun 26 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 5.23.0-1mamba
- automatic version update by autodist

* Sun May 29 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 5.22.0-1mamba
- update to 5.22.0

* Mon May 16 2016 Automatic Build System <autodist@mambasoft.it> 5.21.0-1mamba
- automatic version update by autodist

* Mon Feb 29 2016 Automatic Build System <autodist@mambasoft.it> 5.19.0-1mamba
- automatic version update by autodist

* Fri Jan 22 2016 Automatic Build System <autodist@mambasoft.it> 5.18.0-1mamba
- automatic version update by autodist

* Sat Jan 02 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 5.17.0-1mamba
- update to 5.17.0

* Sun Aug 16 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 5.12.0-1mamba
- package created using the webbuild interface
